<?php
  include("./control/session.inc");

  $cname = 'img_list'; 
  $title = '画像ファイル一覧';
  $p = $_GET["p"];

function form()
{

//ページャー設定
  $delta = 5;    // 現在から前(後)に表示するＬＩＮＫ数
  $perPage = 5;  // 1ページのデータ表示件数
  $i=0;

//一覧表示HTML

$content1 = <<<EOD
<div id="main_r1">
<h2>アップロード画像一覧</h2>
EOD;
 print("$content1");

//ファイル一覧の取得

 $path='./content/img_up/';

foreach(glob("content/img_up/*") as $file)
{
 $i++;
 $array1 = explode("/", $file);
 $list1 = ($array1[count($array1) -1] ); 
 $array2 = explode(".", $list1);

 $but1 = '<img src="'.$file.'" class="img_list">';
 $but2 = '<a href="./content/file_operation/delete.php?name=img_up/'.$list1."\" onClick=\"window.open"."('./content/file_operation/delete.php?name=img_up/".$list1."','subwin','width=600,height=350,left=500,top=300,menubar=no,toolbar=no,location=no,scrollbars=no'); return false;\" class=\"but1\"><div class=\"fi-trash\"> 削除(確認)</div></a>";
 $list = '<div id="border_box">'
.$but1.PHP_EOL
.$but2.PHP_EOL
.'<div id="box_img_list"><div class="fi-page-copy"><input type="text" class="copy2" readonly="readonly" onClick="this.setSelectionRange(0, this.value.length)" value="'.htmlspecialchars('<img src="./').$file.htmlspecialchars('" class="">').'"/></div></div>'
.'</div>'
.PHP_EOL;

//ページング条件分岐

 $num = count(glob("content/img_up/*"));
  if( ($_GET['p'] =="" or $_GET['p'] =="0" or $_GET['p'] =="1") and $i <= $perPage){
 print $list;
 }if($_GET['p'] > "1" and $i >= ($perPage * $_GET['p']-($perPage-1)) and $i <= $perPage * $_GET['p']) {
 print $list;
 }

}

// ページャー設定
  $page_ceil = $num/$perPage;
  $totalPage = ceil($page_ceil);
  $url = "AYANASU_control.php?cname=img_list&p=";
  $page = ($_GET[p]) ? $_GET[p]: 1;
  include("./pager.inc");

  $content2 = "</div>";
  print $content2;

  }

?>
